Skip to content
Start here

List History

alerting.history.list(HistoryListParams**kwargs) -> SyncV4PagePaginationArray[History]
GET/accounts/{account_id}/alerting/v3/history

Gets a list of history records for notifications sent to an account. The records are displayed for last x number of days based on the zone plan (free = 30, pro = 30, biz = 30, ent = 90).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust: PII ReadNotifications WriteNotifications ReadAccount Settings WriteAccount Settings Read
ParametersExpand Collapse
account_id: str

The account id

maxLength32
before: Optional[Union[str, datetime]]

Limit the returned results to history records older than the specified date. This must be a timestamp that conforms to RFC3339.

formatdate-time
page: Optional[float]

Page number of paginated results.

minimum1
per_page: Optional[float]

Number of items per page.

maximum1000
minimum5
since: Optional[Union[str, datetime]]

Limit the returned results to history records newer than the specified date. This must be a timestamp that conforms to RFC3339.

formatdate-time
ReturnsExpand Collapse
class History:
id: Optional[str]

UUID

maxLength32
alert_body: Optional[str]

Message body included in the notification sent.

alert_type: Optional[str]

Type of notification that has been dispatched.

description: Optional[str]

Description of the notification policy (if present).

mechanism: Optional[str]

The mechanism to which the notification has been dispatched.

mechanism_type: Optional[Literal["email", "pagerduty", "webhook"]]

The type of mechanism to which the notification has been dispatched. This can be email/pagerduty/webhook based on the mechanism configured.

One of the following:
"email"
"pagerduty"
"webhook"
name: Optional[str]

Name of the policy.

policy_id: Optional[str]

The unique identifier of a notification policy

maxLength32
sent: Optional[datetime]

Timestamp of when the notification was dispatched in ISO 8601 format.

formatdate-time

List History

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.alerting.history.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90afafe4643bbbc4a0ed4fc8415",
      "alert_body": "SSL certificate has expired",
      "alert_type": "universal_ssl_event_type",
      "description": "Universal Certificate validation status, issuance, renewal, and expiration notices",
      "mechanism": "test@example.com",
      "mechanism_type": "email",
      "name": "SSL Notification Event Policy",
      "policy_id": "0da2b59ef118439d8097bdfb215203c9",
      "sent": "2021-10-08T17:52:17.571336Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90afafe4643bbbc4a0ed4fc8415",
      "alert_body": "SSL certificate has expired",
      "alert_type": "universal_ssl_event_type",
      "description": "Universal Certificate validation status, issuance, renewal, and expiration notices",
      "mechanism": "test@example.com",
      "mechanism_type": "email",
      "name": "SSL Notification Event Policy",
      "policy_id": "0da2b59ef118439d8097bdfb215203c9",
      "sent": "2021-10-08T17:52:17.571336Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}